<? require 'header.php'; ?>
<script type="text/javascript">function lpau(id) {var liki = document.getElementById(id);if (liki.style.display == "none"){for (var i = 0; i <= 2; i++){if(i==0) {s=''} else {s = i;}if (document.getElementById('liqpay'+s)) {document.getElementById('liqpay'+s).style.display='none';}}liki.style.display='block';}else{liki.style.display='none';}}</script>
<div class="menucenter">

<?
$res=mysql_query("select purse, valutaname from tb_site where id='1'");
$pv=mysql_fetch_array($res);
$p=$pv["purse"];
$vn=$pv["valutaname"];

$sql="select price from tb_config where item='textads'";
$res=mysql_query($sql);
$ta=mysql_result($res,0,0);

if (isset($_POST["system"]))
{

	if( strtolower($_POST['code'])!= strtolower($_SESSION['logcaptcha']) OR !isset($_SESSION["logcaptcha"]))

	{
		echo "<div class=error>Неверно введен код с картинки... </div>";
		require 'footer.php';
		exit();
	}
unset($_SESSION["logcaptcha"]);

    if($_POST["system"]=="wmid"){
     $wmid=$_POST["wmid"];
	if (is_numeric($wmid)!="true")
	{
		echo "<div class=error>Введено неверное значение в поле WMID</div>";
		require 'footer.php';
		exit();
	}

	if ($wmid==""){echo "<div class=error>Указаны не все параметры</div>"; include('footer.php'); exit();}
   }elseif($_POST["system"]=="liqpay"){
   	 function liq($mensaje)
     {
      if (preg_match("/[0-9]/", $mensaje))
      {
        return $mensaje;
      }else{
        echo "<div class=error>Введенные данные содержат запрещенные символы. Проверьте правильность ввода счета LiqPay</div>";include('footer.php');exit();
      }
     }

     $schet = liq($_POST["schet"]);$wmid ="+".$schet;
     if(!is_numeric($wmid) or strlen($wmid)< 8 or strlen($wmid)> 15 or $wmid==NULL){echo "<div class=error>Неверно введен номер счета LiqPay</div>";include('footer.php');exit();}
   }else{
   	 echo "<div class=error>Заполнены не все поля!</div>";include('footer.php');exit();
   }

	$plan=intval($_POST["plan"]);
	if (is_numeric($plan)!="true" or $plan<=0)
	{
		echo "<div class=error>&nbsp;Введено некорректное количество дней показа</div>";
		require 'footer.php';
		exit();
	}

	$url1=text($_POST["url"]);

	$description=text($_POST["adstext"]);

	if ($plan==""){echo "<div class=error>Указаны не все поля</div>"; exit();}
	if ($url1==""){echo "<div class=error>Указаны не все поля</div>"; exit();}
	if ($description==""){echo "<div class=error>Указаны не все поля</div>"; exit();}

	$sql = "INSERT INTO tb_textadsreq (wmid,url,text,plan) VALUES('$wmid','$url1','$description','$plan')";
	mysql_query($sql) or die(mysql_error());

	$res=mysql_query("select id from tb_textadsreq where wmid='$wmid' order by id desc");
	$res=mysql_fetch_array($res);
	$id=$res["id"];


	$precio=$ta*$plan;
	$precio = round($precio,2);

	echo "<fieldset class=good><center><img src=\"images/ok.png\" align=\"middle\">&nbsp;Ваш заказ принят! После оплаты Ваша реклама будет добавлена автоматически.<br>";

if($_POST["system"]=="wmid"){
echo "<form method=\"POST\" action=\"https://merchant.webmoney.ru/lmi/payment.asp\">
		<input type=\"hidden\" name=\"LMI_PAYMENT_AMOUNT\" value=\"".$precio."\">
		<input type=\"hidden\" name=\"LMI_PAYMENT_DESC\" value=\"Оплата текстового объявления на ".$plan." дней.\">
		<input type=\"hidden\" name=\"LMI_PAYEE_PURSE\" value=\"".$p."\">
		<input type=\"hidden\" name=\"service\" value=\"advtextads\">
		<input type=\"hidden\" name=\"id\" value=\"".$id,"\">
		<input type=\"submit\" value=\"Оплатить ".$precio." ".$vn." WebMoney\">
	</form></center></fieldset>";
}elseif($_POST["system"]=="liqpay"){
$liq=mysql_query("select * from tb_liqpay where id='1'");$ld=mysql_fetch_array($liq);

$order = "advtextads_".$id; $resurl = $ld['urlok']; $serurl = $ld['urldop']; $merchant_id = $ld['merchid']; $vval = $ld['valuta'];
    $descript = "Oplata textstovoi ssilki id:".$id; $urlzap = "https://www.liqpay.com/?do=clickNbuy";

	$xml="<request>
      <version>1.2</version>
      <result_url>$resurl</result_url>
      <server_url>$serurl</server_url>
      <merchant_id>$merchant_id</merchant_id>
      <order_id>$order</order_id>
      <amount>$precio</amount>
      <currency>$vval</currency>
      <description>$descript</description>
      <default_phone></default_phone>
      <pay_way></pay_way>
</request>";

    $signature = $ld['podp'];
	$xml_encoded = base64_encode($xml);
	$lqsignature = base64_encode(sha1($signature.$xml.$signature,1));

echo "<form action=\"".$urlzap."\" method=POST accept-charset=utf-8>
<input type=\"hidden\" name=\"operation_xml\" value=\"".$xml_encoded."\">
<input type=\"hidden\" name=\"signature\" value=\"".$lqsignature."\">
<input type=submit value=\"Оплатить ".$precio." ".$ld['valuta']." LiqPay\">
</form></center></fieldset>
";
}
	require 'footer.php';
	exit();
}
?>
<script language=javascript>
var ta=<?=$ta?>;

var celoe;
var drob;
var res;
function okrugl(nums)
{
	celoe=Math.floor(nums);
	drob=(nums-celoe)*100;
	drob=Math.floor(drob);
	if(drob>=10)
	{
		res=celoe+'.'+drob;
	}else{
		res=celoe+'.0'+drob;
	}
	return res;
}

function getZakaz(frm)
{
	frm.summa.value=frm.plan.value*ta;
	frm.summa.value=okrugl(frm.summa.value)+' руб.';
}
</script>

<fieldset style="background: #fff;">
<b>» Описание:</b><br>
Текстовые объявления - это текстовая информация, которая размещается на странице просмотра рекламы и показывается в случайном порядке.<br>
В отличие от обычных ссылок, текстовое объявление может занимать до 255 символов. Текстовое объявление показывается на всех страницах сайта.<br><br>
<b>» Стоимость размещения:</b><br>
<?

	$sql="select price from tb_config where item='textads'";
	$res=mysql_query($sql);
	$ta=mysql_result($res,0,0);

	echo "$ta $vn за 1 сутки показа";
?>
</fieldset>

<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<form method="post" action="addtextads.php">
<thead>
<tr>
<th width='40%'><b>Категория</b></th>
<th><b>Значение параметра</b></th>
</tr></thead>
<tr>
<td>
<b>Способ оплаты:</b></td><td>
<input name="system" value="wmid" onFocus="javascript:lpau('liqpay1')" checked="checked" type="radio">WebMoney


</td></tr>
</table>
<div id="liqpay1" style="display: block;">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='40%'><b>Ваш WMID:</b></td>
<td>
<input type="text" size="30" maxlength="12" name="wmid" autocomplete="off" value=""></td>
</tr>
</table>
</div>

<div id="liqpay2" style="display: none;">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='40%'><b>LiqPay счет:</b></td>
<td class=value><input type="text" size="22" maxlength="13" name="schet" value="" style="background: url(../images/plus.jpg) no-repeat 2px;padding-left: 13px;"></td>

</tr>
</table></div>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='40%'>
<b>Текст объявления:</b></td><td>
<input type="text" value="" size="30" maxlength="255" name="adstext"></td>
</tr><tr>
<td width='40%'>
<b>URL:</b></td><td>
<input type="text" value="http://" size="30" maxlength="150" name="url"></td>
</tr><tr>
<td width='40%'>
<b>Количество дней размещения:</b></td>
<td>
<input type="text" size="5" maxlength="5" name="plan" onChange="getZakaz(this.form)"></td>
</tr><tr><td><b>Сумма заказа:</b></td><td class="price">
<input class=val type='text' size='10' maxlength='20' readonly='readonly' name='summa' autocomplete="off" value="0.00 руб."/>
</td></tr><tr>


<td><font color="#dd0000"><b>Введите код:</b></font>
<img src="logincap.php" align="absmiddle"></td><td>
<input type='text' size='3' maxlength='4' name='code' autocomplete="off" onChange="getZakaz(this.form)" value=""></a></td></tr><tr>

<td></td><td><input type="submit" class="ok_wm" value="Разместить"></td></tr>
</form></table>
<? require 'footer.php'; ?>